#!/bin/bash
apt update
apt install -qqy software-properties-common curl gnupg sudo

echo "Adding key and repository"
wget -qO /etc/apt/trusted.gpg.d/constructor.asc http://repo.polymatica.ru/constructor.key
echo "deb http://repo.polymatica.ru/constructor/debian/ buster testing" > /etc/apt/sources.list.d/constructor.list

echo "Apply mongo repository due to curl wars"
wget -qO /etc/apt/trusted.gpg.d/mongo-server-4.4.asc https://www.mongodb.org/static/pgp/server-4.4.asc
sudo add-apt-repository 'deb https://repo.mongodb.org/apt/debian buster/mongodb-org/4.4 main'

apt update
